# infrastructure/modules/base/storageclass/cassandra-db.yaml
apiVersion: storage.k8s.io/v1
kind: StorageClass
metadata:
  name: cassandra-db
  annotations:
    cassandra.bstein.dev/allowed-namespace: cassandra
provisioner: driver.longhorn.io
parameters:
  diskSelector: cassandra-db
  fromBackup: ""
  numberOfReplicas: "2"
  staleReplicaTimeout: "30"
  fsType: ext4
  replicaAutoBalance: least-effort
  dataLocality: best-effort
  recurringJobSelector: '[{"name":"cassandra-postgres-backup","isGroup":false},{"name":"cassandra-postgres-snapshot","isGroup":false}]'
reclaimPolicy: Retain
allowVolumeExpansion: true
volumeBindingMode: WaitForFirstConsumer
